## systemd 215

=== debian/changelog ===
systemd (215-6tanglu1) staging; urgency=medium

  * Merge with Debian unstable
  * Add /run/shm -> /dev/shm symlink in debian/tmpfiles.d/debian.conf
    (Closes: #674755).
  * Enable persistent journald logging by default.
  * Make systemd-sysv a required package.
  * Make libpam-systemd prefer systemd-sysv over systemd-shim
    - The shim is completely unsupported in Tanglu at time, and
      we don't want it to be installed accidentally.

 -- Matthias Klumpp <mak@debian.org>  Sun, 23 Nov 2014 17:04:26 +0100

systemd (215-6) unstable; urgency=medium

  [ Martin Pitt ]
  * Cherry-pick upstream patch to fix udev crash in link_config_get().
  * Cherry-pick upstream patch to fix tests in limited schroot environments.
  * Add d/p/Add-env-variable-for-machine-ID-path.patch: Allow specifying an
    alternate /etc/machine-id location. This is necessary for running tests
    as long as it isn't in our base images (see Debian #745876)
  * Run tests during package build. For the first round don't make them fatal
    for now (that will happen once we see results from all the architectures).
  * Drop our Check-for-kmod-binary.patch as the upstream patch
    units-conditionalize-static-device-node-logic-on-CAP.patch supersedes it.
  * Drop Use-comment-systemd.-syntax-in-systemd.mount-man-pag.patch, as
    our util-linux is now recent enough. Bump dependency to >= 2.21.
  * Adjust timedated and hostnamed autopkgtests to current upstream version.
  * Replace our Debian hwdb.bin location patch with what got committed
    upstream. Run hwdb update with the new --usr option to keep current
    behaviour.
  * debian/README.Debian: Document how to debug boot or shutdown problems with
    the debug shell. (Closes: #766039)
  * Skip-99-systemd.rules-when-not-running-systemd-as-in.patch: Call path_id
    under all init systems, to get consistent ID_PATH attributes. This is
    required so that tools like systemd-rfkill can be used with SysVinit or
    upstart scripts, too. (LP: #1387282)
  * Switch libpam-systemd dependencies to prefer systemd-shim over
    systemd-sysv, to implement the CTTE decision #746578. This is a no-op on
    systems which already have systemd-sysv installed, but will prevent
    installing that on upgrades. (Closes: #769747)
  * Remove Tollef from Uploaders: as per his request. Thanks Tollef for all
    you work!
  * net.agent: Properly close stdout/err FDs, to avoid long hangs during udev
    settle. Thanks to Ben Hutchings! (Closes: #754987)
  * Bump Standards-Version to 3.9.6 (no changes necessary).

  [ Didier Roche ]
  * debian/ifup@.service: add a ConditionPath on /run/network, to avoid
    failing the unit if /etc/init.d/networking is disabled. (Closes: #769528)

 -- Martin Pitt <mpitt@debian.org>  Tue, 18 Nov 2014 12:37:22 +0100

systemd (215-5) unstable; urgency=medium

  [ Martin Pitt ]
  * Unblacklist hyperv_fb again, it is needed for graphical support on Hyper-V
    platforms. Thanks Andy Whitcroft! (LP: #1359933)
  * Bump systemd-shim Depends/Breaks to 8-2 to ensure a lockstep upgrade.
    (Closes: #761947)

  [ Sjoerd Simons ]
  * d/p/sd-bus-Accept-no-sender-as-the-destination-field.patch
    + Fix compatibility between systemctl v215 and v208. Resolves issue when
      reloads of services is requested before systemd is re-execed
      (Closes: #762146)

  [ Michael Biebl ]
  * Don't overmount existing /run/user/<UID> directories with a per-user tmpfs
    on upgrades. (Closes: #762041)
  * Re-enable mount propagation for udevd. This avoids that broken software
    like laptop-mode-tools, which runs mount from within udev rules, causes
    the root file system to end up read-only. (Closes: #762018)

 -- Michael Biebl <biebl@debian.org>  Sat, 27 Sep 2014 17:49:47 +0200

systemd (215-4tanglu1) staging; urgency=medium

  * Merge with Debian unstable
  * Add /run/shm -> /dev/shm symlink in debian/tmpfiles.d/debian.conf
    (Closes: #674755).
  * Enable persistent journald logging by default.
  * Make systemd-sysv a required package.

 -- Matthias Klumpp <mak@debian.org>  Sat, 20 Sep 2014 15:58:46 +0200

systemd (215-4) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Sep 2014 17:38:30 +0200

systemd (215-3) experimental; urgency=medium

  [ Ben Howard ]
  * 75-persistent-net-generator.rules: Fix matches of HyperV. (LP: #1361272)

  [ Martin Pitt ]
  * 75-persistent-net-generator.rules: Add new MS Azure MAC prefix 00:25:ae.
    (LP: #1367883)

  [ Michael Biebl ]
  * Update upstream v215-stable patch series.
  * The /dev/log socket and /dev/initctl FIFO have been moved to /run and
    replaced by symlinks. Create the symlinks manually on upgrades as well.
    (Closes: #761340)
  * Fix incorrect paths in man pages. (LP: #1357782, Closes: #717491)
  * Make systemd recommend dbus so it is installed on upgrades. The dbus
    system bus is required to run systemd-logind and the autovt feature relies
    on logind. (Closes: #758111)
  * Bump dependency on systemd-shim to (>= 7-2) to ensure we have a version
    which supports systemd >= 209.
  * Rework bug-script to be more upfront about what kind of data is gathered
    and ask the user for permission before attaching the information to the
    bug report. (Closes: #756248)

  [ Sjoerd Simons ]
  * d/p/buildsys-Don-t-default-to-gold-as-the-linker.patch
    + Don't explicitly pick gold as the default linker. Fixes FTBFS on sparc
      (Closes: #760879)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 14 Sep 2014 20:14:49 +0200

systemd (215-2) experimental; urgency=medium

  * debian/patches/always-check-for-__BYTE_ORDER-__BIG_ENDIAN-when-chec.patch
    + Added. Fix checking of system endianess. Fixes FTBFS on powerpc
  * debian/patches/timesyncd-when-we-don-t-know-anything-about-the-netw.patch:
    + Let timesyncd go online even if networkd isn't running (from upstream
      git) (Closes: #760087)
  * debian/rules: add systemd-update-utmp-runlevel.service to

