=== debian/tests/control ===
Tests: timedated hostnamed localed-locale localed-x11-keymap logind
Depends: systemd, libpam-systemd, acl
Restrictions: needs-root isolation-machine

Tests: build-login
Depends: libsystemd-login-dev, build-essential, pkg-config

Tests: python3
Depends: python3-systemd
