=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Biebl <biebl@debian.org>, Marco d'Itri <md@linux.it>, Michael Stapelberg <stapelberg@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>, Marco d'Itri <md@linux.it>, Michael Stapelberg <stapelberg@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Martin Pitt <mpitt@debian.org>
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-systemd/systemd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-systemd/systemd.git;a=summary
@@ -55,7 +55,7 @@
          mount (>= 2.21),
          initscripts (>= 2.88dsf-53.2),
          sysv-rc,
-         udev,
+         udev (>= 208-8),
          acl,
          adduser,
          libcap2-bin
@@ -78,7 +78,7 @@
 Package: systemd-sysv
 Architecture: linux-any
 Section: admin
-Priority: required
+Priority: extra
 Conflicts: sysvinit-core,
            upstart
 Replaces: sysvinit (<< 2.88dsf-44~),
@@ -112,7 +112,7 @@
          systemd (= ${binary:Version}),
          libpam-runtime (>= 1.0.1-6),
          dbus,
-         systemd-sysv | systemd-shim (>= 8-2)
+         systemd-shim (>= 8-2) | systemd-sysv
 Description: system and service manager - PAM module
  systemd is a replacement for sysvinit.  It is dependency-based and
  able to read the LSB init script headers in addition to parsing rcN.d
