=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS="nostrip"

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(findstring stage1,$(DEB_BUILD_PROFILES)))
BOOTSTRAP_DH_FLAGS := -Ngir1.2-gudev-1.0 -Nlibgudev-1.0-0 -Nlibgudev-1.0-dev
endif

CONFFLAGS = \
	--with-rootprefix= \
	--with-rootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
	--with-zshcompletiondir=/usr/share/zsh/vendor-completions \
	--with-sysvinit-path=/etc/init.d \
	--with-sysvrcnd-path=/etc \
	--with-firmware-path=/lib/firmware \
	--with-debug-shell=/bin/bash \
	--with-telinit=/lib/sysvinit/telinit \
	--disable-coredump \
	--disable-efi \
	--disable-myhostname \
	--disable-vconsole \
	--disable-microhttpd \
	--disable-sysusers \
	--disable-silent-rules \
	--with-ntp-servers="0.debian.pool.ntp.org 1.debian.pool.ntp.org 2.debian.pool.ntp.org 3.debian.pool.ntp.org"  \
	--with-system-uid-max=999 \
	--with-system-gid-max=999

ifeq (,$(findstring stage1,$(DEB_BUILD_PROFILES)))
CONFFLAGS += --enable-libcryptsetup
endif

CONFFLAGS_deb = \
	--enable-selinux \
	--enable-introspection \
	--enable-gtk-doc \
	--enable-compat-libs \
	PYTHON=python3 \
	$(NULL)

CONFFLAGS_udeb = \
	--disable-libcryptsetup \
	--disable-pam \
	--disable-audit \
	--disable-selinux \
	--disable-smack \
	--disable-ima \
	--disable-introspection \
	--disable-gtk-doc \
	--disable-binfmt \
	--disable-readahead \
	--disable-bootchart \
	--disable-quotacheck \
	--disable-tmpfiles \
	--disable-randomseed \
	--disable-backlight \
	--disable-logind \
	--disable-machined \
	--disable-hostnamed \
	--disable-timedated \
	--disable-networkd \
	--disable-timesyncd \
	--disable-localed \
	--disable-resolved \
	--disable-polkit \
	--disable-acl \
	--disable-gcrypt \
	--disable-gudev \
	--disable-rfkill \
	--disable-multi-seat-x \
	--disable-manpages \
	--without-python

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-deb \
		-- $(CONFFLAGS) $(CONFFLAGS_deb)
	dh_auto_configure --builddirectory=build-udeb \
		-- $(CONFFLAGS) $(CONFFLAGS_udeb)

override_dh_auto_build:
	dh_auto_build --builddirectory=build-deb
	dh_auto_build --builddirectory=build-udeb

override_dh_auto_install:
	dh_auto_install --builddirectory=build-deb \
		--destdir=debian/install/deb
	dh_auto_install --builddirectory=build-udeb \
		--destdir=debian/install/udeb

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-deb
	dh_auto_clean --builddirectory=build-udeb
	rm -rf debian/install/
	# remove pre-generated man pages so they are rebuilt
	rm -f man/*.[13578]
	# remove pre-generated rules and unit files so they are rebuilt
	rm -f rules/99-systemd.rules \
		units/emergency.service \
		units/systemd-udevd.service \
		units/systemd-udev-settle.service \
		units/systemd-udev-trigger.service
	# remove Python byte code files
	rm -f *.pyc

override_dh_install:
	# remove unnecessary / unused files
	rm -f debian/install/*/usr/share/doc/systemd/LICENSE.*
	rm -f debian/install/*/var/log/README
	rm -f debian/install/*/etc/init.d/README
	rm -f debian/install/*/usr/share/man/man8/kernel-install.8
	rm -f debian/install/*/usr/bin/kernel-install
	rm -f debian/install/*/usr/share/zsh/vendor-completions/_kernel-install
	rm -f debian/install/*/usr/share/bash-completion/completions/kernel-install
	rm -rf debian/install/*/usr/lib/kernel/install.d
	rm -rf debian/install/*/etc/rpm/
	rm -rf debian/install/*/usr/lib/rpm/
	rm -rf debian/install/*/etc/kernel/
	rm -f debian/install/*/usr/lib/sysctl.d/50-default.conf
	find debian/install/ -name '*.la' -delete
	# remove files related to factory-reset feature
	find debian/install/ \( -name 'systemd-update-done*' -o \
		-name systemd-journal-catalog-update.service -o \
		-name systemd-udev-hwdb-update.service -o \
		-name ldconfig.service -o \
		-name etc.conf \) -delete
	# remove .so for deprecated compatibility libraries
	rm -f debian/install/*/usr/lib/*/libsystemd-daemon.so
	rm -f debian/install/*/usr/lib/*/libsystemd-login.so
	rm -f debian/install/*/usr/lib/*/libsystemd-id128.so
	rm -f debian/install/*/usr/lib/*/libsystemd-journal.so
	# remove symlinks enabling default-on services
	rm -rf debian/install/*/etc/systemd/system/*.target.wants/
	dh_install -pudev-udeb -plibudev1-udeb --sourcedir=debian/install/udeb
	dh_install $(BOOTSTRAP_DH_FLAGS) -Nudev-udeb -Nlibudev1-udeb --sourcedir=debian/install/deb --fail-missing
	# install some files manually, --sourcedir makes that necessary
	# udev-udeb
	install -D --mode=755 debian/extra/udev.startup \
		debian/udev-udeb/lib/debian-installer/start-udev
	install -D --mode=755 debian/extra/udev.base-installer \
		debian/udev-udeb/usr/lib/base-installer.d/05udev
	mkdir -p debian/udev-udeb/lib/udev/rules.d/
	install -D --mode=644 \
		debian/extra/rules/73-idrac.rules \
		debian/extra/rules/75-persistent-net-generator.rules \
		debian/udev-udeb/lib/udev/rules.d/
	mkdir -p debian/udev-udeb/lib/udev
	install -D --mode=644 \
		debian/extra/hotplug.functions \
		debian/extra/rule_generator.functions \
		debian/udev-udeb/lib/udev/
	install -D --mode=755 \
		debian/extra/write_net_rules \
		debian/udev-udeb/lib/udev/
	# udev: initramfs-tools support
	install -D --mode=755 debian/extra/initramfs.hook \
		debian/udev/usr/share/initramfs-tools/hooks/udev
	install -D --mode=755 debian/extra/initramfs.top \
		debian/udev/usr/share/initramfs-tools/scripts/init-top/udev
	install -D --mode=755 debian/extra/initramfs.bottom \
		debian/udev/usr/share/initramfs-tools/scripts/init-bottom/udev
	# udev: debian specific rules and helpers
	install -D --mode=644 debian/extra/rules/* \
		debian/udev/lib/udev/rules.d/
	install -D --mode=644 debian/extra/fbdev-blacklist.conf \
		debian/udev/etc/modprobe.d/fbdev-blacklist.conf
	install -D --mode=644 \
		debian/extra/hotplug.functions \
		debian/extra/rule_generator.functions \
		debian/udev/lib/udev/
	install -D --mode=755 \
		debian/extra/dsl-modem.agent \
		debian/extra/logger.agent \
		debian/extra/net.agent \
		debian/extra/udev-finish \
		debian/extra/write_net_rules \
		debian/udev/lib/udev/
	# systemd
	cp -a debian/pam-configs debian/libpam-systemd/usr/share/
	install -D --mode=644 debian/init-functions.d/40-systemd \
		debian/systemd/lib/lsb/init-functions.d/40-systemd
	install --mode=644 debian/tmpfiles.d/debian.conf \
		debian/systemd/usr/lib/tmpfiles.d/
	install --mode=644 debian/debian-fixup.service debian/ifup@.service debian/extra/getty-static.service \
		debian/systemd/lib/systemd/system/
	install -D --mode=644 debian/extra/network-pre.conf \
		debian/systemd/lib/systemd/system/networking.service.d/network-pre.conf
	install --mode=644 debian/extra/udev-finish.service \
		debian/udev/lib/systemd/system/
	ln -s ../udev-finish.service debian/udev/lib/systemd/system/sysinit.target.wants/
	install --mode=755 debian/debian-fixup \
		debian/systemd/lib/systemd/
	# Make sure the runlevel services are known by systemd so their targets
	# get launches. See https://bugzilla.redhat.com/show_bug.cgi?id=1002806
	for t in poweroff rescue multi-user graphical reboot; do \
		mkdir -p debian/systemd/lib/systemd/system/$${t}.target.wants;\
		ln -s ../systemd-update-utmp-runlevel.service \
			debian/systemd/lib/systemd/system/$${t}.target.wants ;\
	done
	# man files for example code in /usr/share/doc
	mkdir -p debian/systemd/usr/share/man/man3/
	mv debian/libsystemd-dev/usr/share/man/man3/sd-readahead.3 \
		debian/libsystemd-dev/usr/share/man/man3/sd_readahead.3 \
		debian/systemd/usr/share/man/man3/
	install --mode=755 debian/systemd-logind-launch \
		debian/systemd/lib/systemd/
	# remove duplicates
	# files shipped by systemd-sysv / sysvinit
	rm debian/systemd/usr/share/man/man1/init.1
	rm debian/systemd/usr/share/man/man8/halt.8
	rm debian/systemd/usr/share/man/man8/poweroff.8
	rm debian/systemd/usr/share/man/man8/reboot.8
	rm debian/systemd/usr/share/man/man8/shutdown.8
	rm debian/systemd/usr/share/man/man8/telinit.8
	rm debian/systemd/usr/share/man/man8/runlevel.8
	# files shipped by libpam-systemd
