## systemd 215+12+betsy

=== debian/changelog ===
systemd (215+12+betsy) unstable; urgency=medium

  [ Martin Pitt ]
  * debian/udev.README.Debian: Trim the parts which are obsolete, wrong, or
    described in manpages. Only keep the Debian specific bits.
    (Part of #776546)
  * Actually install udev's README.Debian when building for Debian.
    (Closes: #776546)
  * Only start logind if dbus is installed. This fixes the noisy startup
    failure in environments without dbus such as LXC containers or servers.
    (part of #772700)
  * Add getty-static.service unit which starts getty@.service on tty 2 to 6 if
    dbus is not installed, and hence logind cannot auto-start them on demand.
    (Closes: #772700)
  * Add unit-config autopkgtest to check systemd unit/sysv init enabling and
    disabling via systemctl. This avoids bugs like #777613 (did not affect
    unstable).
  * cgroup: Don't trim cgroup trees created by someone else, just the ones
    that systemd itself created. This avoids cleaning up empty cgroups from
    e.g. LXC. (Closes: #777601)
  * boot-and-services autopkgtest: Add CgroupsTest to check cgroup
    creation/cleanup behaviour. This reproduces #777601 and verifies the fix
    for it.
  * rules: Fix by-path of mmc RPMB partitions and don't blkid them. Avoids
    kernel buffer I/O errors and timeouts. (LP: #1333140)
  * Document systemctl --failed option. (Closes: #767267)

  [ Michael Biebl ]
  * core: Don't fail to run services in --user instances if $HOME is missing.
    (Closes: #759320)

  [ Didier Roche ]
  * default-display-manager-generator: Avoid unnecessary /dev/null symlink and
    warning if there is no display-manager.service unit.

 -- Martin Pitt <mpitt@debian.org>  Fri, 13 Feb 2015 12:08:31 +0100

systemd (215-11) unstable; urgency=medium

  [ Martin Pitt ]
  * escape-beef-up-new-systemd-escape-tool.patch: Avoid creating a dangling
    symlink, to work around regression in recent patch (see #776257).
  * Order ifup@.service and networking.service after network-pre.target.
    (Closes: #766938)
  * Tone down "Network interface NamePolicy= disabled on kernel commandline,
    ignoring" info message to debug, as we expect this while we disable
    net.ifnames by default. (Closes: #762101, LP: #1411992)
  * logind: handle closing sessions over daemon restarts. (Closes: #759515,
    LP: #1415104)
  * logind: Fix sd_eviocrevoke ioctl call, to make forced input device release
    after log out actually work.
  * debian/patches/series: Move upstreamed patches into the appropriate
    section.

  [ Michael Biebl ]
  * Make sure we run debian-fixup.service after /var has been mounted if /var
    is on a separate partition. Otherwise we might end up creating the
    /var/lock and /var/run symlink in the underlying root filesystem.
    (Closes: #768644)

 -- Martin Pitt <mpitt@debian.org>  Thu, 29 Jan 2015 09:01:54 +0100

systemd (215-10) unstable; urgency=medium

  [ Martin Pitt ]
  * sysv-generator: Handle .sh suffixes when translating Provides:.
    (Closes: #775889)
  * sysv-generator: Make real units overwrite symlinks generated by Provides:
    from other units. Fixes failures due to presence of backup or old init.d
    scripts. (Closes: #775404)
  * Fix journal forwarding to syslog in containers without CAP_SYS_ADMIN.
    (Closes: #775067)

  [ Christian Kastner ]
  * Use common-session-noninteractive in systemd-user's PAM config, instead of
    common-session. The latter can include PAM modules like libpam-mount which
    expect to be called just once and/or interactively, which already happens
    for login, ssh, or the display-manager. Add pam_systemd.so explicitly, as
    it's not included in -noninteractive, but is always required (and
    idempotent). There is no net change on systemd which don't use manually
    installed PAM modules. (Closes: #739676)

 -- Martin Pitt <mpitt@debian.org>  Wed, 21 Jan 2015 13:18:05 +0100

systemd (215-9) unstable; urgency=medium

  [ Didier Roche ]
  * Add display managers autopkgtests.
  * Reset display-manager symlink to match /e/X/d-d-m even if
    display-manager.service was removed. Adapt the autopkgtests for it.

  [ Martin Pitt ]
  * Prefer-etc-X11-default-display-manager-if-present.patch: Drop wrong
    copy&paste'd comment, fix log strings. Thanks Adam D. Barratt.
  * Log all members of cyclic dependencies (loops) even with quiet on the
    kernel cmdline. (Closes: #770504)
  * Don't auto-clean PrivateTmp dir in /var/tmp; in Debian we don't want to
    clean /var/tmp/ automatically. (Closes: #773313)

  [ Michael Biebl ]
  * sysv-generator: handle Provides: for non-virtual facility names.
    (Closes: #774335)
  * Fix systemd-remount-fs.service to not fail on remounting /usr if /usr
    isn't mounted yet. This happens with initramfs-tools < 0.118 which we
    might not get into Jessie any more. (Closes: #742048)

 -- Martin Pitt <mpitt@debian.org>  Tue, 13 Jan 2015 11:24:43 +0100

systemd (215-8) unstable; urgency=medium

  [ Didier Roche ]
  * Cherry-pick shared-add-readlink_value.patch, we will use that function in
    the generator.
  * Cherry-pick util-allow-strappenda-to-take-any-number-of-args.patch, we
    will use that function in the generator.
  * Handle multiple display managers which don't ship a systemd unit or the
    corresponding postinst logic for updating display-manager.service: Add a
    generator to ensure /etc/X11/default-display-manager is controlling which
    display-manager is started. (Closes: #771287)

  [ Sjoerd Simons ]
  * d/p/core-Fix-bind-error-message.patch:
    + Added. Fix error message on bind failure to print the full path
  * d/p/core-Make-binding-notify-private-dbus-socket-more-ro.patch:
    + Added. Be more robust when binding private unix sockets (Based on current
    upstream logic) (Closes: #761306)

  [ Martin Pitt ]
  * Clean up ...journal~ files from unclean shutdowns. (Closes: #771707)
  * debian/systemd.postinst: Don't always restart journald, as this currently
